Обновление PHP на Denwer. Обновление Denwer (Apache 2.2, PHP 5.6, MySQL 3.5) + Обновление Denwer (Apache 2.4.23 (со всеми модулями), PHP 7.0.10 (со всеми расширениями + xdebug), MySQL 5.7.15) + Обновление Denwer (Apache 2.4.23 (со всеми модулями), PHP 7.1

Все, кто пользуется Denwer (ДНВР), проще говоря джентльменским набором веб-разработчика, знают, что обновления пакета происходят не так уж и часто. Очень важный момент при работе с Denwer — обновить PHP. Обновлять его нужно вовремя и до актуальной версии, что, кстати, совсем несложно. Однако именно с этим чаще всего возникают проблемы у пользователей этого инструмента. Ведь если сам сервер нас может волновать несильно, то вот версия php может стать критичной проблемой. Поэтому предлагаем вам пошаговую инструкцию, которая подробно расскажет, как обновить PHP на Denwer и бонус в конце статьи.

Обновление PHP на Denwer

Как обновить PHP на Denwer?

На самом деле, ничего трудно тут нет.

  • Заходим на официальную страницу PHP в раздел «Загрузки»: http://windows.php.net/download/
  • Скачиваем оттуда потокобезопасную версию, желательно VC11 x64 Thread Safe, x86 или x64 в формате Zip. Debug Pack для разработчиков и отладчиков.
  • Останавливаем сервер с помощью stop.exe и switchOff.exe. Проделать это необходимо, т. к. в противном случае сбой в работе вам гарантирован. Проверяем, что процесс остановки завершён.
  • Распаковываем тот архив, что мы только что скачали.
  • Идем в C:\WebServers\usr\local\php5 заливаем содержимое архива поверх или предварительно зачищаем папку, оставляя только php.ini, без которого опять же ничего работать не будет. Его удаление вместе со всеми другими файлами, кстати, одна из самых распространённых ошибок при обновлении PHP на Denwer — будьте внимательны! Если удалили, то вместо него есть php.ini-development и php.ini-production. Вы можете переименовать любой из них в php.ini, НО придется настроить сервер, как вам нужно заново.
  • Заново запускаем обновлённый Денвер — и у нас всё корректно работает!

Вот так просто можно обновить версию php на denwer.

Полезные ссылки:

https://windows.php.net/downloads/releases/archives/

http://php.net/releases/

Видео по теме https://youtu.be/WwBCvRWUHaw

Видео2 по теме https://youtu.be/-_7IwDYuzFI

Видео3 по теме https://youtu.be/L7td8ijUWzs

Обещанный бонус:

Обновление Denwer (Apache 2.2, PHP 5.6, MySQL 3.5) + Обновление Denwer (Apache 2.4.23 (со всеми модулями), PHP 7.0.10 (со всеми расширениями + xdebug), MySQL 5.7.15) + Обновление Denwer (Apache 2.4.23 (со всеми модулями), PHP 7.1.26 (со всеми расширениями + xdebug), MySQL 5.7.15)

Вы можете воспользоваться готовыми сборками:

Скачать готовый WebServers Denwer2 PHP Version 5.6.8.zip \ Apache/2.2.22 (Win32) mod_ssl/2.2.22 OpenSSL/1.0.1c PHP/5.6.8

https://yadi.sk/d/rk7tg-DkZsen1w

Скачать готовый WebServers Denwer3 PHP Version 7.0.zip \ Apache 2.4, PHP 7.0.10, MySQL 5.7

https://yadi.sk/d/TSiZFyV80BxoDQ

Скачать готовый WebServers Denwer3 PHP Version 7.1.zip \ Apache 2.4, PHP 7.1.26, MySQL 5.7

https://yadi.sk/d/XNiPbl4CA9FvUw

В Версиях с PHP7 полностью перекроен существующий пакет Денвера, поэтому фактически установка и настройка происходят по принципу полной замены базовой установки. Данные обновления содержат новые версии PHP 7 в которой произошли значительные изменения в составе предоставляемых возможностей. Наиболее важно для многих - с данной версии PHP стали отсутствовать некоторые функции, особенно обратите внимание на отсутствие mysql_*, mssql_*. Поэтому перед обновлением крайне рекомендуем ознакомиться с разделом о миграции с PHP 5.6.* на PHP 7.0.*.

Комментарии   

 
+2 # Владимир 12.06.2019 19:25
Благодарю за новую сборку Денвера.

Очень помогли. Успехов вам дальнейших!
Ответить | Ответить с цитатой | Цитировать
 
 
+6 # Алексей 13.07.2019 02:53
Добрый день!
После чистой установки и замены на файлы из вашего пакета ошибка при создании БД через ссылку на странице утилит Денвера:
Fatal error: Uncaught Error: Call to undefined function mysql_connect() in Z:\denwer\www\d enwer\Tools\add muser\index.php :5 Stack trace: #0 {main} thrown in Z:\denwer\www\d enwer\Tools\add muser\index.php on line 5
Ответить | Ответить с цитатой | Цитировать
 
 
-4 # РЭДЛАЙН 14.07.2019 13:38
"После чистой установки и замены на файлы из вашего пакета"?! :o
Не нужно скрещивать сборки. Сборки выложенные в данном посте рабочие и самодостаточные . Если вы скрещиваете различные сборки то готовы к подобным "казусам".
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Guest 07.02.2020 00:52
Цитирую РЭДЛАЙН:
"...Если вы скрещиваете различные сборки то готовы к подобным "казусам".

Так ответьте, пожалуйста, по существу, а не критикуйте! Скачал новую сборку. С 7-й PHP. Но как именно установить ее не - понятно! После загрузку в дирректорию с Денвером, с заменой файлов и папок, Денвер перестал работать.
Ответить | Ответить с цитатой | Цитировать
 
 
-1 # РЭДЛАЙН 11.02.2020 19:36
Вас никто не критикует. Вам по существу написали: "Не нужно скрещивать сборки. Сборки выложенные в данном посте рабочие и самодостаточные . Если вы скрещиваете различные сборки то готовы к подобным "казусам"." Расшифровываем если непонятно: НЕ нужно скрещивать сборки! Скачайте и разархивируйте любой архив\сборку и пользуйтесь, а не заливайте одно поверх другого.
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Александр 10.07.2020 19:49
У меня такая же беда как у коллеги выше, и тут не проблема в том, что "чисто" установлено или не чисто. Распаковал архив и не работает (именно создание базы через главную/стартов ую страницу денвера, так что ...
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Александр 10.07.2020 20:44
Наверное не актуально уже, но только что нашёл выход из ситуации, найдя один комментарий на другом сайте: Алексей [10.12.2017]
Для тех, у кого выскакивает ошибка при попытке создания новой БД:
заходите в phpAdmin
создаёте новую БД (в левом меню)
при установке нового сайта (например WP) указываете пользователя root без пароля
Пока такое решение
Причина в том, что PHP с 5.5.0 работает только с mysqli. Но как решить проблемы так пока не разобрался (кроме костыля выше)
Ответить | Ответить с цитатой | Цитировать
 
 
+1 # Guest 02.12.2019 02:33
скажите. а как воспользоватся готовой сборкой? как запустить денвер
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Артуш 05.02.2020 02:18
Большое спасибо Вам, помогли.
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Валерий 23.04.2020 02:25
установил последнею сборку денвера php 7
не работает она у меня.
когда захожу на май админ.
Выдаёт ошибку.
Неустранимая ошибка : вызов неопределенной функции mb_detect_encod ing () в Z: \ home \ localhost \ www \ Tools \ phpmyadmin \ library \ php-gettext \ gettext.inc в строке 177
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Анатолий 29.04.2020 21:12
Добрый день. Никак не могу установить memcached под последнюю Вашу сборку (PHP Version 7.1.zip \ Apache 2.4, PHP 7.1.26, MySQL 5.7).
Сможете подсказать, что и где взять?
Ответить | Ответить с цитатой | Цитировать
 
 
0 # SanGer 02.07.2020 11:17
Дело в том. Что на ваших новых версиях. При создании новой БД с паролем. Выдаёт вот такую ошибку. Причём во всех ваших сборках. Как исправить эти ошибки?

Пишет: Fatal error: Uncaught Error: Call to undefined function mysql_connect() in Z:\denwer\www\d enwer\Tools\add muser\index.php :5 Stack trace: #0 {main} thrown in Z:\denwer\www\d enwer\Tools\add muser\index.php on line 5
Ответить | Ответить с цитатой | Цитировать
 
 
0 # РЭДЛАЙН 08.07.2020 16:17
Дело не в этом, а в том, что уже давно пора переходить на Open Server (https://ospanel.io/) Люди это наш вам совет. Денвер умер, да здравствует OpenServer. Уж поверьте он куда лучше!
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Микола 19.07.2020 02:11
Серйозно? На опен сервер?
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Леонид 30.07.2020 16:05
а возможно ли установить 64 разрядные версии php mysql?
сам денверр то 32 разрядный (жаль что разрабы не выложат исходники на гитхаб)
Я к тому что последние версии php
и mysql уже будут толькол х64вроде как только 64
Ответить | Ответить с цитатой | Цитировать
 
Дайджест новых статей по интернет-маркетингу на ваш email

Обновление PHP на Denwer. Обновление Denwer (Apache 2.2, PHP 5.6, MySQL 3.5) + Обновление Denwer (Apache 2.4.23 (со всеми модулями), PHP 7.0.10 (со всеми расширениями + xdebug), MySQL 5.7.15) + Обновление Denwer (Apache 2.4.23 (со всеми модулями), PHP 7.1 | | 2019-02-06 16:03:34 | | Статьи Web-мастеру | | Все, кто пользуется ДНВР, проще говоря джентльменским набором веб-разработчика, знают, что проблема обновления пакета встаёт очень редко и не доставляет особенных хлопот. Очень важный момент при работе с Denwer — обновить PHP. Обновлять его нужно вовремя и до актуальной версии, что, кстати, совсем несложно. Однако именно с этим чаще всего возникают проблемы у пользователей этого инструмента. Предлагаем вам пошаговую инструкцию, которая подробно расскажет, как обновить PHP на Denwer и бонус в конце статьи. | php, denwer, updating, как обновить php на denwer |
 
Поделиться статьей: